Subject: Re: [Coco] C Compiler
From: Willard Goosey <[email-masked]>
To: CoCoList for Color Computer Enthusiasts <[email-masked]>
Date: Thu, 26 May 2011 14:52:02 -0600
List-Id: CoCoList for Color Computer Enthusiasts <coco.maltedmedia.com>

On Thu, May 26, 2011 at 12:25:58PM -0400, gene heskett wrote:
> > cgfx7.ar	has a horrible bug in getenv()
> I may have a fixed version of that on the coco's HD, I'll look

Well, I do too, but I'd want to rebuild the library properly, and I've
been too scared to try. :-)  The source for my version of the fixed
getenv is in this listserv's article archive and should be somewhere in
the Nitros9 cvs.

> > copt2_12.lzh
> 
> Where is this one?, I have Copt2_11.lzh here

I'll look, but that may be a typo....

> At this point, I would add CnoY, from Genes site.  This is for coco3 level 
> 2 & later only machines, and optimizes the ,y references out of the asm 
> code generated, giving a slight speedup since the y reference is a machine 
> cycle slower than an x, u, or s reference.

True.  I don't use it so it wasn't in my installed list.

> > unixlib.lzh or unixlib.ar  requires a setnuid() function
> > 	lib/unix.l

I have setnuid() for this, I'll post it later.  It's short and sweet.

(unix.l's getenv has special code for $HOME, it wants to look in
/dd/sys/password and of course it needs to be uid 0 to do that...)

> > SHF80.zip    SHF's site

There are also other libs here that I didn't install.  ddjlib looked
really interesting but IMHO not worth using, for instance.

> > make_tk.lzh	This is the make to use.  It's that simple.

I have customized my sys/make.default file for this (one of the reasons
I LOVE THIS MAKE) and I'll post it later.

> dbg.doc now exists as dbg.README on my site.

I don't think it's for the same thing, though.  Is it?
> 
> And when "Genes site" is referenced above, that is:
> <http://gene.homelinux.net:85/gene/Genes-os9-stf/>

Thank you, I can't ever find that url quickly.

> A very good start indeed, thanks Willard.

You're welcome.

Willard
-- 
Willard Goosey  [email-masked]
Socorro, New Mexico, USA
I search my heart and find Cimmeria, land of Darkness and the Night.
  -- R.E. Howard

--
Coco mailing list
[email-masked]
http://five.pairlist.net/mailman/listinfo/coco